[android-components](../../../index.md) / [mozilla.components.ui.doorhanger](../../index.md) / [DoorhangerPrompt](../index.md) / [ControlGroup](index.md) / [&lt;init&gt;](./-init-.md)

# &lt;init&gt;

`ControlGroup(icon: `[`Drawable`](https://developer.android.com/reference/android/graphics/drawable/Drawable.html)`? = null, controls: `[`List`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin.collections/-list/index.html)`<`[`Control`](../-control/index.md)`>)`

A group of controls to be displayed in a [DoorhangerPrompt](../index.md).

### Parameters

`icon` - An (optional) icon to be shown next to the control group.

`controls` - List of controls to be shown in this group.